Package org.picocontainer.parameters

# Class ConstantParameter

java.lang.Object
org.picocontainer.parameters.AbstractParameter
org.picocontainer.parameters.ConstantParameter

All Implemented Interfaces:
  `Serializable`, `Parameter`

public class ConstantParameter extends AbstractParameter implements Parameter, Serializable
A ConstantParameter should be used to pass in "constant" arguments to constructors. This includes `String`s,`Integer`s or any other object that is not registered in the container.

Author:
  Jon Tirsén, Aslak Hellesøy, Jörg Schaible, Thomas Heller
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.Parameter

`Parameter.DelegateResolver, Parameter.NotResolved, Parameter.Resolver, Parameter.ValueResolver`

## Field Summary

### Fields inherited from interface org.picocontainer.Parameter

`DEFAULT, ZERO`

## Constructor Summary

Constructors
Constructor
Description
`ConstantParameter(Object value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(PicoVisitor visitor)`
Visit the current `Parameter`.
`protected boolean`
`isAssignable(Type expectedType)`
`Parameter.Resolver`
`resolve(PicoContainer container, ComponentAdapter<?> forAdapter, ComponentAdapter<?> injecteeAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Check if the Parameter can satisfy the expected type using the container.
`void`
`verify(PicoContainer container, ComponentAdapter<?> adapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
Verify that the Parameter can satisfy the expected type using the container

### Methods inherited from class org.picocontainer.parameters.AbstractParameter

`isResolvable, resolveInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.picocontainer.Parameter

`isResolvable, resolveInstance`

## Constructor Details

### ConstantParameter

public ConstantParameter(Object value)

## Method Details

### resolve

public Parameter.Resolver resolve(PicoContainer container, ComponentAdapter<?> forAdapter, ComponentAdapter<?> injecteeAdapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding)
Description copied from interface: `Parameter`
Check if the Parameter can satisfy the expected type using the container.

Specified by:
  `resolve` in interface `Parameter`
Parameters:
  `container` - the container from which dependencies are resolved.
  `forAdapter` - the `ComponentAdapter` that is asking for the instance
  `injecteeAdapter` - the adapter to be injected into (null for N/A)
  `expectedType` - the required type
  `expectedNameBinding` - Expected parameter name
  `useNames` - should use parameter names for disambiguation
  `binding` - @return `true` if the component parameter can be resolved.

### verify

public void verify(PicoContainer container, ComponentAdapter<?> adapter, Type expectedType, NameBinding expectedNameBinding, boolean useNames, Annotation binding) throws PicoException
Verify that the Parameter can satisfy the expected type using the container

Specified by:
  `verify` in interface `Parameter`
Parameters:
  `container` - the container from which dependencies are resolved.
  `adapter` - the `ComponentAdapter` that is asking for the verification
  `expectedType` - the required type
  `expectedNameBinding` - Expected parameter name
  `useNames` -
  `binding` -
Throws:
  `PicoException`
See Also:
  - `Parameter.verify(org.picocontainer.PicoContainer,org.picocontainer.ComponentAdapter,java.lang.reflect.Type,org.picocontainer.NameBinding,boolean,java.lang.annotation.Annotation)`

### isAssignable

protected boolean isAssignable(Type expectedType)

### accept

public void accept(PicoVisitor visitor)
Visit the current `Parameter`.

Specified by:
  `accept` in interface `Parameter`
Parameters:
  `visitor` - the visitor.
See Also:
  - `Parameter.accept(org.picocontainer.PicoVisitor)`